package com.duowenlvshi.duowenlszp.model.jobintension.dao;


import com.duowenlvshi.duowenlszp.model.jobintension.entity.Jobintension;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface JobintensionMapper {




    int insertSelective(Jobintension record);

    Jobintension selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(Jobintension record);



    /*删除求职信息*/
    int delete(String id);

    /*查询律师id下的求职信息*/
    List<Map> selectByLawyerId(String lawyerId);

    List<Map> selectPush(@Param("map") Map map);
    List<Map> selectPush2(@Param("map") Map map);

    int updatePushSet(@Param("map") Map map);

    String selectPushSet(String lawyerId);

    Map selectPushSetOrUpdate(String lawyerId);

    int updateYear(@Param("yearsOfPractice") String yearsOfPractice ,@Param("lawyer_id") String lawyer_id);
}